> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tags for a token



## OpenAPI

````yaml get /token/{id}/tags
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/tags:
    get:
      tags:
        - Token Tags
      summary: Get all tags for a token
      operationId: TokenTagsController_getTokenTags
      parameters:
        - name: id
          required: true
          in: path
          description: Token ID
          schema:
            type: string
      responses:
        '200':
          description: Returns all tags for the token
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TagEntity'
        '404':
          description: Token not found
components:
  schemas:
    TagEntity:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
        created_time:
          type: string
      required:
        - id
        - name
        - created_time

````